<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/background_login"
    android:fitsSystemWindows="true">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="400dp">

        <TextView
            android:id="@+id/login_logo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="50dp"
            android:gravity="center"
            android:textStyle="bold"
            app:drawableTopCompat="@mipmap/login_logo" />

    </FrameLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_marginStart="45dp"
        android:layout_marginEnd="65dp"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginTop="300dp"
            android:background="@drawable/shape_corner_stroke_white"
            android:orientation="horizontal">

            <EditText
                android:id="@+id/account"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="15dp"
                android:layout_marginEnd="15dp"
                android:background="@color/white"
                android:hint="@string/account"
                android:importantForAutofill="no"
                android:inputType="text"
                android:maxLines="1"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginTop="@dimen/common_padding_large"
            android:background="@drawable/shape_corner_stroke_white"
            android:orientation="horizontal">

            <EditText
                android:id="@+id/password"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="15dp"
                android:layout_marginEnd="15dp"
                android:background="@color/white"
                android:hint="@string/password"
                android:importantForAutofill="no"
                android:inputType="textPassword"
                android:maxLines="1"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/login_button"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginTop="@dimen/common_padding_large"
            android:background="@drawable/shape_corner_solid_blue"
            android:gravity="center"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/login"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="@string/login"
                android:textAllCaps="true"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_large"
                android:textStyle="bold" />

            <ProgressBar
                android:id="@+id/login_loading"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:indeterminateTint="@color/white"
                android:visibility="gone" />

        </LinearLayout>

        <TextView
            android:id="@+id/system_info"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="5dp"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="5dp"
            android:gravity="center"
            android:text="@string/system_info"
            android:textColor="@color/background_color"
            android:textSize="@dimen/text_size_minimum" />

    </LinearLayout>

    <TextView
        android:id="@+id/icp_code"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="@dimen/common_padding"
        android:gravity="center"
        android:text="@string/ICP_code"
        android:textColor="@color/background_color"
        android:textSize="@dimen/text_size_minimum" />

</RelativeLayout>
